Ask / Submit
1

Install/Upgrade sailfish-maps impossible [answered]

asked 2017-04-12 14:25:53 +0300

jloup06 gravatar image

updated 2017-04-12 14:26:20 +0300

Hi,

I upgrade my Jolla 1 yesterday to 2.1.0.11. The upgrade take fine without visible error. When I open the store, It said I've a update of Maps. Great I tried to update, impossible error with the store.

Ok I tried with the terminal :

[nemo@Sailfish ~]$ pkcon install sailfish-maps
Installing
Waiting in queue
Starting
Refreshing software list
Querying
Resolving dependencies
Fatal error: sailfish-maps-1.1.26-10.40.1.jolla.armv7hl requires libQt5Location.so.5(Qt_5), but this requirement cannot be provided

Ok I look if libQt5Location is available :

[nemo@Sailfish ~]$ pkcon get-packages | grep libqt5location
[nemo@Sailfish ~]$

No result ?? What ?? Someone have any idea ? I've other issue like impossible to upgrade sailfish-browser, because a dependencies cannot be resolved (actually sailfish-browser doesn't open, when I tried to open I've a Segmentation Fault). I think the problem is the same, like repositories.

[nemo@Sailfish ~]$ ssu lr
WARNING: ssu.ini does not seem to be writable. Setting values might not work.
Enabled repositories (global):
 - adaptation0    ... https://store-repository.jolla.com/releases/2.1.0.11/jolla-hw/adaptation-qualcomm-sbj/armv7hl/
 - aliendalvik    ... https://store-repository.jolla.com/releases/2.1.0.11/aliendalvik/SbJ/
 - apps           ... https://releases.jolla.com/jolla-apps/2.1.0.11/armv7hl/
 - customer-jolla ... https://store-repository.jolla.com/features/2.1.0.11/customers/jolla/armv7hl/
 - eas            ... https://store-repository.jolla.com/features/2.1.0.11/eas/armv7hl/
 - hotfixes       ... https://releases.jolla.com/releases/2.1.0.11/hotfixes/armv7hl/
 - jolla          ... https://releases.jolla.com/releases/2.1.0.11/jolla/armv7hl/
 - xt9            ... https://store-repository.jolla.com/features/2.1.0.11/xt9/armv7hl/

Enabled repositories (user):
 - openrepos-basil   ... http://sailfish.openrepos.net/basil/personal/main
 - openrepos-bwalter ... http://sailfish.openrepos.net/bwalter/personal/main
 - store             ... https://store-repository.jolla.com/SbJ/armv7hl/?version=2.1.0.11

Disabled repositories (global, might be overridden by user config):

Disabled repositories (user):
 - home ... https://download.jollamobile.com/home:/honeybadger/latest_armv7hl/

Thanks for your help.

edit retag flag offensive reopen delete

The question has been closed for the following reason "the question is answered, an answer was accepted" by jloup06
close date 2017-04-12 15:41:23.007744

Comments

Have you run pkcon refesh after the upgrade? It's caught me out before.

rgp ( 2017-04-12 14:58:58 +0300 )edit

Yes I run pkcon refresh, before expose my problem.

[root@Sailfish nemo]# pkcon refresh
Refreshing cache
Waiting in queue
Waiting for authentication
Waiting in queue
Starting
Refreshing software list
jloup06 ( 2017-04-12 15:15:35 +0300 )edit

1 Answer

Sort by » oldest newest most voted
3

answered 2017-04-12 15:38:58 +0300

jloup06 gravatar image

I solved ;) For this I uninstall WareHouse and MeeRun. Afer this I do a :

version --dup

Then reboot the phone and I can install sailfish-maps and sailfish-browser re-working.

Thanks

edit flag offensive delete publish link more

Question tools

Follow
1 follower

Stats

Asked: 2017-04-12 14:25:53 +0300

Seen: 427 times

Last updated: Apr 12